Subject: bug#12350: Composites identified as primes in factor.c (when HAVE_GMP)

From: Paul Eggert <[email-masked]>
Date: Fri, 07 Sep 2012 07:49:39 -0700

On 09/07/2012 03:35 AM, Niels Möller wrote:
> It's *intended* for bundling with applications, either
> for unconditional use, or for use as a fallback if the real gmp library
> is not available.

I've been looking for something like that for Emacs, since I want
Emacs to use bignums.  Do you think it'd be suitable?

One hassle I have with combining Emacs and GMP is that
Emacs wants to control how memory is allocated, and wants its
memory allocator to longjmp out if memory gets low, and GMP
is documented to not support that.  If the mini-gmp library
doesn't have this problem I'm thinking that Emacs might use
it *instead* of GMP.